import type { Designer } from '..';
import type { Document, Node } from '../document';
export declare enum DETECTING_EVENT {
    CHANGE = "detecting:change"
}
export declare class Detecting {
    readonly designer: Designer;
    private emitter;
    private accessor _enable;
    /**
     * control whether to show the hover effect when the outline tree is hovered
     * TODO: extract this logic from the designer
     */
    get enable(): boolean;
    set enable(flag: boolean);
    private accessor _current;
    get current(): Node<import("..").NodeSchema> | null;
    constructor(designer: Designer);
    capture(node: Node | null): void;
    release(node: Node | null): void;
    leave(document: Document | undefined): void;
    onDetectingChange(fn: (node: Node) => void): () => void;
}
